Skip to content

Fetch a single user

User

Fetch a single user by UserId

GET
/user/{id}

Parameters

Path Parameters

id*

The id of the user to be retrieved

Type
integer
Required
Format
"integer"

Responses

User data

application/json
JSON
{
  
"userid": 0,
  
"usergroupid": 0,
  
"membergroupids": 0,
  
"displaygroupid": 0,
  
"username": "user",
  
"email": "user@insided.com",
  
"posts": 0,
  
"deleted_posts": 0,
  
"options": 0,
  
"autosubscribe": 0,
  
"customoptions": 0,
  
"topics": 0,
  
"solved": 0,
  
"ipaddress": "198.199.125.238",
  
"usertitle": "string",
  
"customtitle": 0,
  
"session_ids_flagged_for_logout": [
  
  
"string"
  
],
  
"external_logout_at": "string",
  
"pmunread": 0,
  
"subscriptions": 0,
  
"pmtotal": 0,
  
"following": 0,
  
"followers": 0,
  
"avatar": "string",
  
"signature": "string",
  
"reputation": 0,
  
"lastvisit": 0,
  
"lastactivity": 0,
  
"insided_sso_customeruid": "string",
  
"reviewcount": 0,
  
"ratingcount": 0,
  
"lastpostid": 0,
  
"lastpost": 0,
  
"joindate": 0,
  
"likes": 0,
  
"likes_given": 0,
  
"blogposts": 0,
  
"researches": 0,
  
"rank_id": 0,
  
"rank_name": "string",
  
"rank_display_name": "string",
  
"rank_avatar_icon": "string",
  
"rank_avatar_icon_thumb": "string",
  
"is_moderator": 0,
  
"cdn": "string",
  
"autoAddToFavorites": true,
  
"crudListCacheDependencyKey": "string",
  
"id": "string",
  
"_related": {
  
  
"userprofilefields": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"userid": 0,
  
  
  
  
"profilefieldid": 0,
  
  
  
  
"value": "string",
  
  
  
  
"profilefield_name": "string",
  
  
  
  
"_related": [
  
  
  
  
  
{
  
  
  
  
  
}
  
  
  
  
]
  
  
  
}
  
  
],
  
  
"badges": [
  
  
  
{
  
  
  
}
  
  
],
  
  
"badgesCount": 0,
  
  
"roles": [
  
  
  
{
  
  
  
  
"auth_item_id": 0,
  
  
  
  
"itemname": "string",
  
  
  
  
"userid": 0,
  
  
  
  
"bizrule": "string",
  
  
  
  
"data": "string",
  
  
  
  
"_related": {
  
  
  
  
  
"items": {
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"type": 0,
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"bizrule": "string",
  
  
  
  
  
  
"data": "string",
  
  
  
  
  
  
"visible": 0,
  
  
  
  
  
  
"main": 0,
  
  
  
  
  
  
"order": 0,
  
  
  
  
  
  
"exclude_for_spam_check": 0,
  
  
  
  
  
  
"_related": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
}
  
  
  
  
}
  
  
  
}
  
  
]
  
}
}

Samples

Gainsight CC Developer Portal